MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025078Community[OCCT] OCCT:Codingpublic2014-07-13 23:572016-04-20 15:51
ReporterEpy 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformLinux 32-bitOSLubuntuOS Version14.04 LTS
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0025078: Coding rules - eliminate GCC warning -Wclobbered
DescriptionA lot of new clobbering warnings as of 6.7.1, I think. Possible the behavior may be intentional. See attached errors.txt.

171 occurrences generated by gcc 4.9.2 with -Wextra option:
/occt/src/GeomLib/GeomLib_CheckCurveOnSurface.cxx|496|warning: variable ‘aNbSubIntervals’ might be 
clobbered by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/BinTools/BinTools_ShapeSet.cxx|777|warning: variable ‘reg’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/GeomFill/GeomFill_Sweep.cxx|579|warning: variable ‘Ok’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/GeomFill/GeomFill_Sweep.cxx|580|warning: variable ‘isUPeriodic’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/GeomFill/GeomFill_Sweep.cxx|581|warning: variable ‘isVPeriodic’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/GeomFill/GeomFill_Sweep.cxx|590|warning: variable ‘VFirst’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/GeomFill/GeomFill_Sweep.cxx|590|warning: variable ‘VLast’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/BRepCheck/BRepCheck_Analyzer.cxx|226|warning: variable ‘performwire’ might be clobbered 
by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/BRepCheck/BRepCheck_Analyzer.cxx|286|warning: variable ‘orientofwires’ might be clobbered 
by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/HLRBRep/HLRBRep_InternalAlgo.cxx|132|warning: variable ‘i’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/HLRBRep/HLRBRep_InternalAlgo.cxx|132|warning: variable ‘nv’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/HLRBRep/HLRBRep_InternalAlgo.cxx|132|warning: variable ‘ne’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/HLRBRep/HLRBRep_InternalAlgo.cxx|132|warning: variable ‘nf’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/BRepMesh/BRepMesh_FastDiscretFace.cxx|1161|warning: variable ‘aPass’ might be clobbered 
by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/BRepMesh/BRepMesh_FastDiscretFace.cxx|1161|warning: variable ‘aInsertedNb’ might be clobbered 
by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/BRepMesh/BRepMesh_FastDiscretFace.cxx|1162|warning: variable ‘isAllDegenerated’ might be 
clobbered by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeAnalysis/ShapeAnalysis_Curve.cxx|230|warning: variable ‘OK’ might be clobbered by 
‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeAnalysis/ShapeAnalysis_Surface.cxx|1189|warning: variable ‘VV’ might be clobbered 
by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeAnalysis/ShapeAnalysis_Surface.cxx|945|warning: variable ‘computed’ might be clobbered 
by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeAnalysis/ShapeAnalysis_Surface.cxx|947|warning: variable ‘uf’ might be clobbered by 
‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeAnalysis/ShapeAnalysis_Surface.cxx|947|warning: variable ‘ul’ might be clobbered by 
‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeAnalysis/ShapeAnalysis_Surface.cxx|947|warning: variable ‘vf’ might be clobbered by 
‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeAnalysis/ShapeAnalysis_Surface.cxx|947|warning: variable ‘vl’ might be clobbered by 
‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeConstruct/ShapeConstruct.cxx|74|warning: variable ‘MaxDeg’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeConstruct/ShapeConstruct.cxx|232|warning: variable ‘cnt’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeConstruct/ShapeConstruct_Curve.cxx|166|warning: variable ‘fbsp’ might be clobbered 
by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeConstruct/ShapeConstruct_Curve.cxx|166|warning: variable ‘lbsp’ might be clobbered 
by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeConstruct/ShapeConstruct_Curve.cxx|236|warning: variable ‘fbsp’ might be clobbered 
by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeConstruct/ShapeConstruct_Curve.cxx|236|warning: variable ‘lbsp’ might be clobbered 
by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeCustom/ShapeCustom_Curve2d.cxx|156|warning: variable ‘aKnotIndx’ might be clobbered 
by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeCustom/ShapeCustom_BSplineRestriction.cxx|1013|warning: variable ‘MaxSeg’ might be 
clobbered by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeCustom/ShapeCustom_BSplineRestriction.cxx|1014|warning: variable ‘MaxDeg’ might be 
clobbered by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeCustom/ShapeCustom_BSplineRestriction.cxx|626|warning: variable ‘ShiftU’ might be 
clobbered by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeCustom/ShapeCustom_BSplineRestriction.cxx|626|warning: variable ‘ShiftV’ might be 
clobbered by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeCustom/ShapeCustom_BSplineRestriction.cxx|660|warning: variable ‘aCV’ might be clobbered 
by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeCustom/ShapeCustom_BSplineRestriction.cxx|667|warning: variable ‘prevTol’ might be 
clobbered by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeCustom/ShapeCustom_BSplineRestriction.cxx|667|warning: variable ‘newTol’ might be 
clobbered by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeCustom/ShapeCustom_BSplineRestriction.cxx|668|warning: variable ‘i’ might be clobbered 
by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeCustom/ShapeCustom_BSplineRestriction.cxx|1323|warning: variable ‘MaxSeg’ might be 
clobbered by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeCustom/ShapeCustom_BSplineRestriction.cxx|1324|warning: variable ‘MaxDeg’ might be 
clobbered by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeFix/ShapeFix_Edge.cxx|733|warning: variable ‘SP’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeFix/ShapeFix_FaceConnect.cxx|197|warning: variable ‘theNumOfFacesToSew’ might be clobbered 
by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeFix/ShapeFix_Solid.cxx|148|warning: variable ‘i’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeFix/ShapeFix_Solid.cxx|270|warning: variable ‘i’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeProcess/ShapeProcess.cxx|93|warning: variable ‘i’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeProcess/ShapeProcess.cxx|113|warning: variable ‘isDone’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeFix/ShapeFix_Wire_1.cxx|230|warning: variable ‘first1’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeFix/ShapeFix_Wire_1.cxx|230|warning: variable ‘last1’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeFix/ShapeFix_Wire_1.cxx|230|warning: variable ‘first2’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeFix/ShapeFix_Wire_1.cxx|230|warning: variable ‘last2’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeFix/ShapeFix_Wire_1.cxx|252|warning: variable ‘trimmed1’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeFix/ShapeFix_Wire_1.cxx|271|warning: variable ‘trimmed2’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeFix/ShapeFix_Wire_1.cxx|293|warning: variable ‘done1’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeFix/ShapeFix_Wire_1.cxx|293|warning: variable ‘done2’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeFix/ShapeFix_Wire_1.cxx|303|warning: variable ‘first’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeFix/ShapeFix_Wire_1.cxx|303|warning: variable ‘last’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeFix/ShapeFix_Wire_1.cxx|306|warning: variable ‘nbcurv’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeFix/ShapeFix_Wire_1.cxx|307|warning: variable ‘j’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeFix/ShapeFix_Wire_1.cxx|468|warning: variable ‘ipar1’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeFix/ShapeFix_Wire_1.cxx|468|warning: variable ‘ipar2’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeFix/ShapeFix_Wireframe.cxx|275|warning: variable ‘ReplaceFirst’ might be clobbered 
by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeFix/ShapeFix_Wire_1.cxx|820|warning: variable ‘first1’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeFix/ShapeFix_Wire_1.cxx|820|warning: variable ‘last1’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeFix/ShapeFix_Wire_1.cxx|820|warning: variable ‘first2’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeFix/ShapeFix_Wire_1.cxx|820|warning: variable ‘last2’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeFix/ShapeFix_Wire_1.cxx|842|warning: variable ‘trimmed1’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeFix/ShapeFix_Wire_1.cxx|861|warning: variable ‘trimmed2’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeFix/ShapeFix_Wire_1.cxx|883|warning: variable ‘done1’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeFix/ShapeFix_Wire_1.cxx|883|warning: variable ‘done2’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeFix/ShapeFix_Wire_1.cxx|891|warning: variable ‘first’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeFix/ShapeFix_Wire_1.cxx|891|warning: variable ‘last’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeFix/ShapeFix_Wire_1.cxx|894|warning: variable ‘nbcurv’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeFix/ShapeFix_Wire_1.cxx|895|warning: variable ‘j’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeUpgrade/ShapeUpgrade_SplitCurve2dContinuity.cxx|82|warning: variable ‘First’ might 
be clobbered by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeUpgrade/ShapeUpgrade_SplitCurve2dContinuity.cxx|83|warning: variable ‘Last’ might 
be clobbered by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeUpgrade/ShapeUpgrade_SplitCurve2dContinuity.cxx|144|warning: variable ‘j’ might be 
clobbered by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeUpgrade/ShapeUpgrade_SplitCurve2d.cxx|211|warning: variable ‘i’ might be clobbered 
by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeUpgrade/ShapeUpgrade_SplitCurve3dContinuity.cxx|77|warning: variable ‘First’ might 
be clobbered by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeUpgrade/ShapeUpgrade_SplitCurve3dContinuity.cxx|78|warning: variable ‘Last’ might 
be clobbered by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeUpgrade/ShapeUpgrade_SplitCurve3dContinuity.cxx|145|warning: variable ‘LastInd’ might 
be clobbered by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeUpgrade/ShapeUpgrade_SplitCurve3dContinuity.cxx|146|warning: variable ‘j’ might be 
clobbered by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeUpgrade/ShapeUpgrade_SplitCurve3d.cxx|235|warning: variable ‘i’ might be clobbered 
by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeUpgrade/ShapeUpgrade_SplitCurve3dContinuity.cxx|148|warning: variable ‘iknot’ might 
be clobbered by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeUpgrade/ShapeUpgrade_SplitSurface.cxx|408|warning: variable ‘irow’ might be clobbered 
by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/ShapeUpgrade/ShapeUpgrade_SplitSurface.cxx|410|warning: variable ‘icol’ might be clobbered 
by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/ChFi3d/ChFi3d_Builder.cxx|292|warning: variable ‘j’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/ChFi3d/ChFi3d_Builder.cxx|336|warning: variable ‘i1’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/ChFi3d/ChFi3d_Builder.cxx|344|warning: variable ‘i2’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/CDF/CDF_StoreList.cxx|83|warning: variable ‘status’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/PCDM/PCDM_RetrievalDriver.cxx|80|warning: variable ‘Failure’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/TNaming/TNaming_Name.cxx|2023|warning: variable ‘Done’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/XmlLDrivers/XmlLDrivers_DocumentRetrievalDriver.cxx|266|warning: variable ‘isRef’ might 
be clobbered by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/XmlLDrivers/XmlLDrivers_DocumentStorageDriver.cxx|288|warning: variable ‘anObjNb’ might 
be clobbered by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/XmlMDataStd/XmlMDataStd_RealArrayDriver.cxx|170|warning: variable ‘iChar’ might be clobbered 
by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/Interface/Interface_CheckTool.cxx|372|warning: variable ‘i’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/Interface/Interface_CheckTool.cxx|372|warning: variable ‘n0’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/Interface/Interface_CheckTool.cxx|273|warning: variable ‘i’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/Interface/Interface_CheckTool.cxx|273|warning: variable ‘n0’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/Interface/Interface_CheckTool.cxx|320|warning: variable ‘i’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/Interface/Interface_CheckTool.cxx|320|warning: variable ‘n0’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/Interface/Interface_CheckTool.cxx|412|warning: variable ‘i’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/Interface/Interface_CheckTool.cxx|412|warning: variable ‘n0’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/Interface/Interface_CheckTool.cxx|456|warning: variable ‘i’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/Interface/Interface_CheckTool.cxx|456|warning: variable ‘n0’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/IFSelect/IFSelect_WorkSession.cxx|3837|warning: variable ‘titre’ might be clobbered by 
‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/IFSelect/IFSelect_WorkSession.cxx|3838|warning: variable ‘mode’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/Interface/Interface_FileReaderTool.cxx|348|warning: variable ‘num’ might be clobbered by 
‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/Interface/Interface_FileReaderTool.cxx|348|warning: variable ‘num0’ might be clobbered 
by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/Interface/Interface_FileReaderTool.cxx|352|warning: variable ‘ierr’ might be clobbered 
by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/inc/../src/Transfer/Transfer_TransferProcess.gxx|1063|warning: variable ‘newbind’ might be 
clobbered by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/inc/../src/Transfer/Transfer_TransferProcess.gxx|1063|warning: variable ‘newbind’ might be 
clobbered by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/GeomToIGES/GeomToIGES_GeomCurve.cxx|293|warning: variable ‘Umin’ might be clobbered by 
‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/GeomToIGES/GeomToIGES_GeomCurve.cxx|294|warning: variable ‘Umax’ might be clobbered by 
‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/GeomToIGES/GeomToIGES_GeomSurface.cxx|236|warning: variable ‘PeriodU’ might be clobbered 
by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/GeomToIGES/GeomToIGES_GeomSurface.cxx|237|warning: variable ‘PeriodV’ might be clobbered 
by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/GeomToIGES/GeomToIGES_GeomSurface.cxx|240|warning: variable ‘Umax’ might be clobbered by 
‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/GeomToIGES/GeomToIGES_GeomSurface.cxx|240|warning: variable ‘Vmax’ might be clobbered by 
‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/IGESToBRep/IGESToBRep.cxx|309|warning: variable ‘result’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/IGESToBRep/IGESToBRep_CurveAndSurface.cxx|351|warning: variable ‘i’ might be clobbered 
by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/IGESToBRep/IGESToBRep_CurveAndSurface.cxx|404|warning: variable ‘ProblemInGroup’ might 
be clobbered by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/IGESToBRep/IGESToBRep_CurveAndSurface.cxx|405|warning: variable ‘i’ might be clobbered 
by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/IGESToBRep/IGESToBRep_CurveAndSurface.cxx|467|warning: variable ‘ProblemInGroup’ might 
be clobbered by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/IGESToBRep/IGESToBRep_CurveAndSurface.cxx|468|warning: variable ‘i’ might be clobbered 
by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/IGESToBRep/IGESToBRep_Reader.cxx|416|warning: variable ‘i’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/IGESToBRep/IGESToBRep_Reader.cxx|504|warning: variable ‘eps’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/IGESToBRep/IGESToBRep_TopoSurface.cxx|735|warning: variable ‘deltaAngle’ might be clobbered 
by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/STEPControl/STEPControl_ActorRead.cxx|1188|warning: variable ‘found’ might be clobbered 
by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/StepToTopoDS/StepToTopoDS_Builder.cxx|750|warning: variable ‘i’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/StepToTopoDS/StepToTopoDS_TranslateCompositeCurve.cxx|105|warning: variable ‘SurfMode’ 
might be clobbered by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/StepToTopoDS/StepToTopoDS_TranslateCompositeCurve.cxx|106|warning: variable ‘isClosed’ 
might be clobbered by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/StepToTopoDS/StepToTopoDS_TranslateCompositeCurve.cxx|115|warning: variable ‘i’ might be 
clobbered by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/StepToTopoDS/StepToTopoDS_TranslateEdgeLoop.cxx|252|warning: variable ‘j’ might be clobbered 
by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/StepToTopoDS/StepToTopoDS_TranslateEdgeLoop.cxx|260|warning: variable ‘hasPcurve’ might 
be clobbered by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/Draw/Draw_Interpretor.cxx|150|warning: variable ‘doEcho’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/Draw/Draw_Interpretor.cxx|161|warning: variable ‘aFile_err’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/Draw/Draw_Interpretor.cxx|162|warning: variable ‘aFile_out’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/BRepTest/BRepTest_CheckCommands.cxx|928|warning: variable ‘aGeomCtrl’ might be clobbered 
by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/BRepTest/BRepTest_CheckCommands.cxx|929|warning: variable ‘aCurInd’ might be clobbered 
by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/BRepTest/BRepTest_CheckCommands.cxx|955|warning: variable ‘IsShortDump’ might be clobbered 
by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/BRepTest/BRepTest_CheckCommands.cxx|956|warning: variable ‘IsContextDump’ might be clobbered 
by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/XSDRAWIGES/XSDRAWIGES.cxx|125|warning: variable ‘modepri’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/XSDRAWIGES/XSDRAWIGES.cxx|167|warning: variable ‘answer’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/XSDRAWIGES/XSDRAWIGES.cxx|200|warning: variable ‘inum’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/DNaming/DNaming_ModelingCommands.cxx|2042|warning: variable ‘Orientation’ might be clobbered 
by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/DNaming/DNaming_ModelingCommands.cxx|2043|warning: variable ‘XSelection’ might be clobbered 
by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/DNaming/DNaming_ModelingCommands.cxx|2044|warning: variable ‘Geometry’ might be clobbered 
by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/DNaming/DNaming_ModelingCommands.cxx|2060|warning: variable ‘isFirst’ might be clobbered 
by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/DNaming/DNaming_ModelingCommands.cxx|2080|warning: variable ‘isSelected’ might be clobbered 
by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/DNaming/DNaming_ModelingCommands.cxx|1903|warning: variable ‘Orientation’ might be clobbered 
by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/DNaming/DNaming_ModelingCommands.cxx|1904|warning: variable ‘XSelection’ might be clobbered 
by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/DNaming/DNaming_ModelingCommands.cxx|1905|warning: variable ‘Geometry’ might be clobbered 
by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/DNaming/DNaming_ModelingCommands.cxx|1922|warning: variable ‘isFirst’ might be clobbered 
by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/DNaming/DNaming_ModelingCommands.cxx|1942|warning: variable ‘isSelected’ might be clobbered 
by ‘longjmp’ or ‘vfork’ [-Wclobbered]|
/occt/src/XDEDRAW/XDEDRAW_Props.cxx|495|warning: variable ‘withVolFix’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/XDEDRAW/XDEDRAW_Props.cxx|520|warning: variable ‘i’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/QABugs/QABugs_13.cxx|406|warning: variable ‘IsBRepAlgoAPI’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/QABugs/QABugs_10.cxx|1030|warning: variable ‘status’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/QABugs/QABugs_10.cxx|939|warning: variable ‘IsBRepAlgoAPI’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/QABugs/QABugs_10.cxx|950|warning: variable ‘index’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/QABugs/QABugs_10.cxx|860|warning: variable ‘IsBRepAlgoAPI’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/QABugs/QABugs_10.cxx|685|warning: variable ‘IsBRepAlgoAPI’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/QABugs/QABugs_10.cxx|617|warning: variable ‘IsBRepAlgoAPI’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/QABugs/QABugs_10.cxx|550|warning: variable ‘IsBRepAlgoAPI’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/QABugs/QABugs_10.cxx|754|warning: variable ‘IsBRepAlgoAPI’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/QABugs/QABugs_10.cxx|765|warning: variable ‘index’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/QABugs/QABugs_10.cxx|460|warning: variable ‘IsBRepAlgoAPI’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/QABugs/QABugs_11.cxx|2386|warning: variable ‘Succes’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/QABugs/QABugs_11.cxx|4638|warning: variable ‘modepri’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/QABugs/QABugs_11.cxx|4680|warning: variable ‘answer’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/QABugs/QABugs_11.cxx|4713|warning: variable ‘inum’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
/occt/src/QANewDBRepNaming/QANewDBRepNaming.cxx|139|warning: variable ‘i’ might be clobbered by ‘longjmp’ 
or ‘vfork’ [-Wclobbered]|
Steps To ReproduceCompile with GCC 5.x with option -Wextra
TagsNo tags attached.
Test case number
Attached Filestxt file icon errors.txt (17,476 bytes) 2014-07-13 23:57

- Relationships
related to 0026178closedabv Open CASCADE Coding rules - eliminate -Wtautological-pointer-compare CLang warnings in Standard_ErrorHandler 
related to 0026854closedabv Open CASCADE Use -Wextra with GCC 

-  Notes
(0047925)
git (administrator)
2015-11-08 20:38

Branch CR25078 has been created by abv.

SHA-1: e59e20650bd56a5ebff74029b7d8d3c89201158d


Detailed log of new commits:

Author: abv
Date: Sun Nov 8 20:17:47 2015 +0300

    0025078: Coding rules - eliminate GCC warning -Wclobbered
    
    GCC warning -Wclobbered suppressed in Standard_ErrorHandler.hxx when OCC_CONVERT_SIGNALS or NO_CXX_EXCEPTIONS are used
(0047926)
abv (manager)
2015-11-08 21:04

This warning appears on Linux with GCC wherever OCC_CATCH_SIGNALS macro is used (usually inside try/catch block). Its purpose is to translate C system signals to C++ exceptions (it defines a landing point for longjump to return from C signal handler). The warning applies to local variables constructed before OCC_CATCH_SIGNALS and indicates that their value may be not as expected when jump occurs.

The right way to solve this issue is to avoid having any local variables in the code of the function where OCC_CATCH_SIGNALS macro is used, declared before that macro. This is possible, but requires completely different approach to using this macro. Current approach is to add it in the place where exception is to be caught, i.e. in the try {} block, and idea behind this is that this will enable this try {} to handle C signals. Correct approach would be to use it instead in the functions that can cause signal. The problem is that when function / place where signal can be generated is known, it is more logical to avoid this situation at all, instead of relying on signal processing.

That is, it seems not practical trying to revise existing implementation, and these warnings should be just ignored. The patch implements this, please review.
(0047929)
git (administrator)
2015-11-08 21:53

Branch CR25078 has been updated forcibly by abv.

SHA-1: 58feed270749ca402e01bb41375bc72e9b787242
(0047936)
git (administrator)
2015-11-09 09:33

Branch CR25078 has been updated forcibly by abv.

SHA-1: 520686f2453faf3a627ef087019817df0cbbbd08
(0053139)
git (administrator)
2016-04-17 14:23

Branch CR25078 has been deleted by kgv.

SHA-1: 520686f2453faf3a627ef087019817df0cbbbd08

- Related Changesets
occt: master 6fab2d4f
Timestamp: 2015-11-08 17:17:47
Author: abv
Committer: abv
Details ] Diff ]
0025078: Coding rules - eliminate GCC warning -Wclobbered

GCC warning -Wclobbered suppressed in Standard_ErrorHandler.hxx when OCC_CONVERT_SIGNALS or NO_CXX_EXCEPTIONS are used
mod - src/Standard/Standard_ErrorHandler.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-07-13 23:57 Epy New Issue
2014-07-13 23:57 Epy Assigned To => kgv
2014-07-13 23:57 Epy File Added: errors.txt
2014-09-11 19:39 abv Target Version => Unscheduled
2015-10-16 10:25 kgv Description Updated View Revisions
2015-10-16 10:26 kgv Summary Possible clobbering by longjmp() => Coding rules - eliminate GCC warning -Wclobbered
2015-10-16 10:26 kgv Relationship added related to 0026236
2015-11-06 07:56 abv Relationship added related to 0026178
2015-11-08 19:45 abv Assigned To kgv => abv
2015-11-08 19:45 abv Status new => assigned
2015-11-08 19:45 abv Target Version Unscheduled => 7.0.0
2015-11-08 20:38 git Note Added: 0047925
2015-11-08 21:04 abv Note Added: 0047926
2015-11-08 21:04 abv Assigned To abv => kgv
2015-11-08 21:04 abv Status assigned => resolved
2015-11-08 21:04 abv Steps to Reproduce Updated View Revisions
2015-11-08 21:53 git Note Added: 0047929
2015-11-09 07:48 abv Relationship added related to 0026854
2015-11-09 09:33 git Note Added: 0047936
2015-11-09 09:36 kgv Assigned To kgv => bugmaster
2015-11-09 09:36 kgv Status resolved => reviewed
2015-11-09 16:26 mkv Assigned To bugmaster => mkv
2015-11-13 11:53 abv Changeset attached => occt master 6fab2d4f
2015-11-13 11:53 abv Assigned To mkv => abv
2015-11-13 11:53 abv Status reviewed => verified
2015-11-13 11:53 abv Resolution open => fixed
2016-04-17 14:23 git Note Added: 0053139
2016-04-20 15:42 user533 Fixed in Version => 7.0.0
2016-04-20 15:51 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker